All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.deployment
Class ServiceDeploymentImportException

    com.sas.services.deployment.ServiceDeploymentImportException

All Implemented Interfaces:
  com.sas.util.ChainedExceptionInterface, java.io.Serializable

Direct Known Subclasses:
  NameNotUniqueImportException

    public class ServiceDeploymentImportException

Exception indicate that an attempt to import a foundation services deployment from a UTF-8 encoded XML file into a SAS Metadata Repository has failed.

Since:
  1.0
See Also:
  Serialized Form

Constructor Summary
`ServiceDeploymentImportException()` Constructs a default instance without specifying a message or `Throwable` that caused the foundation service deployment import to fail.
`ServiceDeploymentImportException(java.lang.String message)` Constructs an instance specifying a message, but not a `Throwable` that caused the foundation service deployment import to fail.
`ServiceDeploymentImportException(java.lang.Throwable throwable)` Constructs an instance specifying the | `ServiceDeploymentImportException(java.lang.Throwable throwable, java.lang.String message)` Constructs an instance specifying both a message and the `Throwable` that caused the foundation service deployment import to fail.

Constructor Detail

### ServiceDeploymentImportException

    public ServiceDeploymentImportException()

  Constructs a default instance without specifying a message or `Throwable` that caused the foundation service deployment import to fail.

### ServiceDeploymentImportException

    public ServiceDeploymentImportException(java.lang.Throwable throwable)

  Constructs an instance specifying the `Throwable` that caused the foundation service deployment import to fail.

  Parameters:
    `throwable` - `Throwable` that prompted the foundation service deployment import to fail.

### ServiceDeploymentImportException

    public ServiceDeploymentImportException(java.lang.String message)

  Constructs an instance specifying a message, but not a `Throwable` that caused the foundation service deployment import to fail.

  Parameters:
    `message` - Message detailing the encountered exception.

### ServiceDeploymentImportException

    public ServiceDeploymentImportException(java.lang.Throwable throwable,
                                            java.lang.String message)

  Constructs an instance specifying both a message and the `Throwable` that caused the foundation service deployment import to fail.

  Parameters:
    `throwable` - `Throwable` that prompted the foundation service deployment import to fail.
    `message` - Message detailing the encountered exception.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.